TextCritical.net - Bug #2883

Search page loses context of the work
02/28/2022 06:02 PM - Luke Murphey

Status: Closed Start date: 02/28/2022
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 4.71

Description

Repro:

1. Select a work
2. Search a word
3. Click back: note that you go to the start page

Subtasks:

Bug # 2884: Add support for having a second work in the READ_WORK URL

Bug # 2885: Organize URL creation such that parameters and base URLs are broken out

Bug # 2886: Replace URL creation to use the URLs module consistently

Closed
Closed
Closed

History

#1 - 02/28/2022 07:57 PM - Luke Murphey
Obs:

The link is being made to the search from src/components/WordInformation/index.jsx

* Going back to being executed by src/components/Search/index.jsx::onClickBack()

o This is executing READ_WORK()

Qs:

[No] Is linkBackURL being set?
o location.state is null
[Yes] Is state being set properly?

o https://github.com/remix-run/history/blob/dev/docs/navigation.md

e |s location being read properly?
What do | need to test?

. Search link to work
. Reader: work name change
. Reader: setting of URL
. Back button on:
1. About page
2. Beta code converter
3. Contact me

AN =

04/29/2024

Pushing the example state in https:/github.com/remix-run/history/blob/dev/docs/navigation.md doesn't work
BookSidebar correctly uses state; the src/components/WordInformation/index.jsx does not.

Is the issue in that the history is not being made correctly or is it that the search isn't going back correctly?
o Seems like linkBackURL is not being constructed
#2 - 03/01/2022 04:50 PM - Luke Murphey

- Status changed from New to Closed
